CVE-2023-3247

Updated: 2023-11-04 21:08:16.399289

Description:

In PHP versions 8.0.* before 8.0.29, 8.1.* before 8.1.20, 8.2.* before 8.2.7 when using SOAP HTTP Digest Authentication, random value generator was not checked for failure, and was using narrower range of values than it should have. In case of random generator failure, it could lead to a disclosure of 31 bits of uninitialized memory from the client to the server, and it also made easier to a malicious server to guess the client's nonce. 


Links NIST CIRCL RHEL Ubuntu

Severity

Severity Score
CVSS Version 2.x 0
CVSS Version 3.x MEDIUM 4.3

Status

OS name Project name Version Score Severity Status Errata Last updated
EL 6 PHP php 7.2 4.3 MEDIUM Released CLSA-2023:1700057031 2023-11-15 13:06:09
EL 6 PHP php 8.0 4.3 MEDIUM Not Vulnerable 2023-08-11 03:23:09
EL 6 PHP php 8.2 4.3 MEDIUM Not Vulnerable 2023-08-11 03:23:07
EL 6 PHP php 5.5 4.3 MEDIUM Released CLSA-2023:1699993096 2023-11-14 16:08:45
EL 6 PHP php 7.4 4.3 MEDIUM Released CLSA-2023:1699995886 2023-11-14 16:08:47
EL 6 PHP php 7.0 4.3 MEDIUM Released CLSA-2023:1699994071 2023-11-14 16:09:02
EL 6 PHP php 5.1 4.3 MEDIUM Released CLSA-2023:1699987635 2023-11-14 16:09:07
EL 6 PHP php 5.3 4.3 MEDIUM Released CLSA-2023:1699989311 2023-11-14 16:09:06
EL 6 PHP php 5.4 4.3 MEDIUM Released CLSA-2023:1699992628 2023-11-14 16:09:03
EL 6 PHP php 8.1 4.3 MEDIUM Not Vulnerable 2023-08-11 03:23:09
Total: 86